/* Response texts

   OperStats - Copyright (c) 2000-2002 Darcy Grexton
   Contact: skold@habber.net, skold @ HabberNet, ICQ #6285178

   This program is free but copyrighted software; see the file COPYING
   for details.
 */

/* Error Replies */
#define ERR_CANT_CONNECT	"Unable to connect to server."
#define ERR_CANT_OPEN		"Can't open %s!"
#define ERR_ERROR		"Error from server: %s"
#define ERR_NO_CONFIG		"No config file found. OperStats stopped."
#define ERR_CANT_WRITE_PID	"Cannot write to PID file!"
#define ERR_UNKNOWN_COMMAND	"Unknown command \2%s\2. Type \2/%s%s%s%s HELP\2 for help."
#define ERR_ACCESS_DENIED	"Access denied."
#define ERR_NO_HELP		"Sorry, there is no help available for \2%s\2."
#define ERR_NOT_SRA		"Sorry, you're not an SRA."
#define ERR_MORE_INFO		"Type \2/%s%s%s%s HELP %s\2 for more information."
#define ERR_NOT_OPERSTATS	"You cannot JUPE OperStats."
#define ERR_LIST_THERE		"\2%s\2 is already present or inclusive in the %s%s list."
#define ERR_TOOMANYWILD		"The mask you gave contains too many wildcards. You must have at least %d non-wildcard characters."
#define ERR_MSG_LEN		"LogonMSGs are limited to \002256\002 characters. You gave \002%d\002."
#define ERR_ALREADY_SRA		"You're already authenticated as an SRA."
#define ERR_QUIT		"Quit: %s"
#define ERR_COLLISIONS		"Too many nick collisions on \2%s\2! Please reconfigure your services."

/* Generic & misc replies */
#define RPL_SYNTAX		"Syntax: \2%s\2"
#define RPL_RESTARTING		"Restarting in %s."
#define RPL_CONNECTING		"Connecting to %s:%d ..."
#define RPL_CONNECTED		"Connection to %s established."
#define RPL_LOGGING_IN		"Logging in to server ..."
#define RPL_LOGGED_IN		"Successfully logged in."
#define RPL_LOADING		"Loading %s ..."
#define RPL_SAVING		"Saving %s ..."
#define RPL_POSSIBLE_SPAM	"Possible spam from %s: %s"
#define RPL_HELP_START		"*** \2%s Help\2 ***"
#define RPL_HELP_END		"*** \2End of Help\2 ***"

/* OperServ replies */
#define OS_ACCESS_DENIED	"Access denied. Only IRCOps can use this service."
#define OS_GLOBAL_NOTICE	"Sending a global notice by request of \2%s\2."
#define OS_JUPE_MY_SERVER	"\2%s\2 attempted to JUPE my server!"
#define OS_JUPE_MY_UPLINK	"\2%s\2 attempted to JUPE my uplink!"
#define OS_JUPE_MY_NICK		"\2%s\2 attempted to JUPE %s!"
#define OS_JUPE_SUCCESSFUL	"JUPE on \2%s\2 was successful."
#define OS_JUPED		"JUPEing \2%s\2 by request of \2%s\2."
#define OS_AKILL_FORMAT		"Invalid %sAKill. The proper format is username@hostname"
#define OS_AKILL_ADDED		"AutoKill on \2%s\2 successfully added."
#define OS_AKILL_ADDED_GLOBOP	"\2%s\2 %s%sAKilled \2%s\2: %s"
#define OS_AKILL_LIST		"*** \2AKill List%s%s%s\2 ***"
#define OS_AKILL_LIST_MATCH	"[%d] %s (%s (Expires: %s)) %s"
#define OS_PAKILL_LIST_MATCH	"[%d] %s (%s (\2Permanent\2)) %s"
#define OS_AKILL_LIST_END	"*** \2End of AKills\2 ***"
#define OS_AKILL_DELETED	"AutoKill on \2%s\2 has been deleted."
#define OS_ALL_AKILL_DELETED	"%d AutoKills have been deleted."
#define OS_AKILL_NOT_FOUND	"No AutoKills matching \2%s\2 found."
#define OS_AKILL_LEARNED	"Learned new AKill from %s: %s (%s)"
#define OS_AKILL_FORGOTTEN	"Forgetting AKill on %s: Removed by %s"
#define OS_LOGONMSG_ADDED	"LogonMSG was added successfully."
#define OS_LOGONMSG_LIST_START	"*** \2LogonMSG List\2 ***"
#define OS_LOGONMSG_LIST	"[%d] Set by \2%s\2 %s ago:"
#define OS_LOGONMSG_LIST_END	"*** \2End of LogonMSGs\2 ***"
#define OS_LOGONMSG_DELETED	"LogonMSG \2#%d\2 has been deleted."
#define OS_LOGONMSG_NOT_FOUND	"LogonMSG \2#%s\2 was not found."
#define OS_ALL_LOGONMSG_DELETED	"%d LogonMSGs have been deleted."
#define OS_CLONES_START		"*** \2Current Clones List: Showing %d matches\2 ***"
#define OS_CLONES_HEADER	"Host                                         Nicknames"
#define OS_CLONES_END		"*** \2End of Clones List: %d matches shown\2 ***"
#define OS_TRIGGER_FORMAT	"Triggers must be in user@host format."
#define OS_TRIGGER_ADDED	"\2%s\2 has been added to the Trigger list."
#define OS_RETRIGGER		"\2%s\2 was ReTriggered to \2%d\2."
#define OS_TRIGGER_LIST_START	"*** \2Trigger List\2 ***"
#define OS_TRIGGER_LIST		"[%d] %s (Limit: %d)"
#define OS_TRIGGER_LIST_END	"*** \2End of Triggers\2 ***"
#define OS_TRIGGER_DELETED	"Trigger %s %s has been deleted."
#define OS_TRIGGER_NOT_FOUND	"No Triggers matching \2%s\2 found."
#define OS_ALL_TRIGGER_DELETED	"%d Triggers have been deleted."
#define OS_EXCEPTION_FORMAT	"Exceptions must be in user@host format."
#define OS_EXCEPTION_ADDED	"\2%s\2 has been added to the Exception list."
#define OS_ALREADY_EXCEPT	"\2%s\2 is already in the Exception list."
#define OS_EXCEPTION_LIST_START	"*** \2Exception List\2 ***"
#define OS_EXCEPTION_LIST	"[%d] %s"
#define OS_EXCEPTION_LIST_END	"*** \2End of Exceptions\2 ***"
#define OS_EXCEPTION_DELETED	"Exception %s %s has been deleted."
#define OS_EXCEPTION_NOT_FOUND	"No Exceptions matching \2%s\2 found."
#define OS_EXCEPTIONS_DELETED	"%d Exceptions have been deleted."
#define OS_DB_SYNC_COMPLETE	"DataBase Sync Completed."
#define OS_MAX_CLONES		"Too many connections from your host"

/* StatServ replies */
#define SS_TLD_IS		"Top-level domain \2%s\2 is \2%s\2."
#define SS_TLD_NOT_FOUND	"Sorry, I don't know what top-level domain \2%s\2 is."
#define SS_TLDMAP_START		"*** \2TLD Map\2 ***"
#define SS_TLDMAP		"%s%s%s%s: %d user%s (%.2f%%)"
#define SS_TLDMAP_END		"*** \2End of TLD Map\2 ***"
#define SS_TLDSTATS_START	"*** \2TLD Statistics for %s\2 ***"
#define SS_TLDSTATS		"%s (%s): %d%% (%d hit%s)"
#define SS_TLDSTATS_END		"*** \2End of TLD Statistics - %d hits in %d TLDs\2 ***"
#define SS_ZONE_IS		"It's %s in %s Time (%s, %s)"
#define SS_ZONE_NOT_FOUND	"Sorry, I can't find a TimeZone for \2%s\2."
#define SS_STATS_HEADER		"*** \2Network Statistics\2 ***"
#define SS_STATS_CURUSER	"Current Users    : %d (%d Ops)"
#define SS_STATS_MAXUSER	"Max Users        : %d"
#define SS_STATS_CURCHANOPER	"Current Channels : %d (and %d secret)"
#define SS_STATS_CURCHAN	"Current Channels : %d"
#define SS_STATS_MAXCHAN	"Max Channels     : %d"
#define SS_STATS_CURSERV	"Current Servers  : %d"
#define SS_STATS_MAXSERV	"Max Servers      : %d"
#define SS_STATS_MAXHITS	"Max Hits         : %d"
#define SS_STATS_CURSPEEDGB	"Current Net Speed: %.2f GB/s (%.2f %s/s peak)"
#define SS_STATS_CURSPEEDMB	"Current Net Speed: %.2f MB/s (%.2f %s/s peak)"
#define SS_STATS_CURSPEEDKB	"Current Net Speed: %.2f KB/s (%.2f %s/s peak)"
#define SS_STATS_CURSPEEDBYTES	"Current Net Speed: %li bytes/s (%.2f %s/s peak)"
#define SS_STATS_UPTIME		"OperStats up for : %d day%s, %d:%02d:%02d"
#define SS_STATS_CURTIME	"Current Time     : %s"
#define SS_STATS_MAXUSERTIME	"Max User Time    : %s"
#define SS_STATS_MAXCHANTIME	"Max Channel Time : %s"
#define SS_STATS_MAXSERVTIME	"Max Server Time  : %s"
#define SS_STATS_DAILY		"Daily Statistics for %s:"
#define SS_STATS_DAILY_HITS	"Hits             : %d"
#define SS_STATS_DAILY_USERS	"Max Users        : %-5d - %s"
#define SS_STATS_DAILY_CHANS	"Max Channels     : %-5d - %s"
#define SS_STATS_DAILY_SERVS	"Max Servers      : %-5d - %s"
#define SS_STATS_FOOTER		"*** \2End of Stats\2 ***"
#define SS_BAD_TOKEN		"Sorry, I don't know what %s is."
#define SS_SERVERS_HEADER	"*** \2Servers List\2 ***"
#define SS_SERVERS_FOOTER	"*** \2End of Servers\2 ***"
#define SS_MAP_HEADER		"*** \2Server Map\2 ***"
#define SS_MAP_FOOTER		"*** \2End of Map\2 ***"
#define SS_SERVER_NOT_FOUND	"Sorry, I don't see a server by the name of \2%s\2."
#define SS_SERVSTATS_HEADER	"*** \2Stats for %s\2 ***"
#define SS_SERVSTATS_SINCE	"Stats Since      : %s (%s ago)"
#define SS_SERVSTATS_LASTSPLIT	"Last Split       : %s (%s ago)"
#define SS_SERVSTATS_SPLITS	"Splits           : %d%s"
#define SS_SERVSTATS_LASTQUIT	"Last Quit Message: %s"
#define SS_SERVSTATS_MAXUSERS	"Max Clients      : %d"
#define SS_SERVSTATS_MAXTIME	"Max Clients Time : %s"
#define SS_SERVSTATS_LAG	"Current Lag      : %d ms"
#define SS_SERVSTATS_PEAKLAG	"Peak Lag         : %d ms"
#define SS_SERVSTATS_DOWNTIME	"Total Downtime   : %s"
#define SS_SERVSTATS_LASTDOWN	"Last Downtime    : %s"
#define SS_SERVSTATS_SPLITFOR	"Split For        : %s"
#define SS_SERVER_RESET		"Statistics for \2%s\2 have been reset."
#define SS_CANT_FLUSH		"\2FLUSH\2 cannot be used on servers that are online."
#define SS_SERVER_FLUSHED	"\2%s\2 has been flushed."
#define SS_PINGED_ALL		"PINGed all servers."
#define SS_SERVER_LAGGED	"Server \2%s\2 is lagged: %d ms"

/* Shared replies */
#define SH_NOW_SRA		"You are now recognized as an SRA."
#define SH_NOW_SRA_GLOBOP	"SRA -- %s!%s@%s is now SRA."
#define SH_NO_LONGER_SRA	"You are no longer an SRA."
#define SH_FAILED_AUTH		"Failed AUTH attempt by %s!%s@%s"
#define SH_SHUTTING_DOWN	"OperStats terminating by request of %s: %s"
#define SH_RESTARTING		"OperStats restarting in %s by request of %s: %s"
#define SH_FORCE_UPDATE		"Forcing DB update by request of \2%s\2."
#define SH_DEBUG_LEVEL		"Debuging now at level %d: %s"
#define SH_SETTINGS_START	"*** \2OperStats Settings\2 ***"
#ifdef UNREAL3
#define SH_SETTINGS_UNREAL	"Unreal Numeric           : %d"
#endif
#define SH_SETTINGS_SYNC	"DataBases sync every     : %s" 
#define SH_SETTINGS_PING	"Servers pinged every     : %s"
#define SH_SETTINGS_SNOOPCHAN	"Snoop Channel            : %s"
#define SH_SETTINGS_JOINCHAN	"Join Channel             : %s"
#define SH_SETTINGS_TLDS	"Top-Level-Domains        : %s"
#define SH_SETTINGS_IGNOREUS	"Ignore U:Lines           : %s"
#define SH_SETTINGS_SHORTHELP	"Short Help Indexes       : %s"
#define SH_SETTINGS_SECURITY	"Security Setting         : %d"
#define SH_SETTINGS_AKILL	"Default AKill Expiry     : %s"
#define SH_SETTINGS_AKILLREASON	"Default AKill Reason     : %s"
#define SH_SETTINGS_AKILLGLOBAL	"GlobOp on AKill Placement: %s"
#define SH_SETTINGS_AKILLLEARN	"AKill Learning           : %s"
#define SH_SETTINGS_AKILLFORGET	"AKill Forgetting         : %s"
#define SH_SETTINGS_NONWILD	"Non-Wild Chars Required  : %d"
#define SH_SETTINGS_DUMPCHANS	"Channel List Dumping     : %s"
#define SH_SETTINGS_JAVACLIENT	"Channel List JavaClient  : %s"
#define SH_SETTINGS_DUMPSTATS	"Statistics Dumping       : %s"
#define SH_SETTINGS_LOGUPDATES	"Log DB Updates           : %s"
#define SH_SETTINGS_STAMPLOGON	"LogonMSG Date-Stamping   : %s"
#define SH_SETTINGS_GLOBALMSG	"Global Message Prefix    : %s"
#define SH_SETTINGS_LAGGLOBAL	"GlobOp on Lag            : %s"
#define SH_SETTINGS_AUTHGLOBAL	"GlobOp on AUTH           : %s"
#define SH_SETTINGS_LAGTHRESH	"Lag Threshold            : %s"
#define SH_SETTINGS_USEROFFSET	"User Offset              : %d"
#define SH_SETTINGS_SERVOFFSET	"Server Offset            : %d"
#define SH_SETTINGS_DETECTION	"Clone Detection          : %s"
#define SH_SETTINGS_CLONES	"Max connections per user : %d"
#define SH_SETTINGS_CLONEKILLS	"Max clone kills per host : %d"
#define SH_SETTINGS_RESTART	"WaitRestart Delay        : %s"
#define SH_SETTINGS_DEBUG	"Debugging level          : %d%s"
#define SH_SETTINGS_END		"*** \2End of Settings\2 ***"
#define SH_DOING_REHASH		"Rehashing %s by request of \2%s\2."
#define SH_LOG_START		"*** \2Searching Logs: Showing %d matches\2 ***"
#define SH_LOG_END		"*** \2End of Log Search: %d entries shown\2 ***"
